Subject: Re: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Stefan Kangas <[email-masked]>
Date: Tue, 6 Sep 2022 21:05:50 -0400

Eli Zaretskii <[email-masked]> writes:

> Now wait for N seconds without doing anything and observe:
>
>   Server not responding; use Ctrl+C to break

This should now be fixed on master.

> After sending the request to the server, we call recv in a
> loop, waiting for a response.  But in a normal session, the server
> will only respond when the user is done with editing the file, which
> could be after a very long time.  So this _must_ time out.

No, server.el will always send "-emacs-pid 1211057".  You can see this
in the " *server*" buffer (set `server-log' to t first).

> And another comment: the documentation says that the default time out
> is zero, i.e. no timeout, but that's not true: the default timeout is
> actually 30 sec.  So if someone uses the client of the master branch,
> it will now always terminate due to timeout after 30 sec...

I can't reproduce this.  Do you have a recipe?